<script lang="ts">
	import { ChevronDownIcon, ChevronUpIcon } from 'svelte-feather-icons';
	import type { Product } from '../../../../utils/types';
	import { newProductList, productList } from '../../../../utils/utils';
	import {
		showMenu,
		showReturn,
		store_footerHeight,
		store_headerHeight,
		store_screenWidth
	} from '../../../../utils/store';
	import PageTransition from '../../../../components/PageTransition.svelte';
	import { slide } from 'svelte/transition';
	import ItemsList from '../../../../components/Items/ItemsList.svelte';
	import ItemsList2 from '../../../../components/Items/ItemsList2.svelte';
	import { smallScreen } from '../../../../utils/const';

	export let data: import('./$types').PageData;

	$: product = newProductList.find((product) => product.id == data.productId);
	const colorShade: string[] = ['bg-primary-800', 'bg-primary-700', 'bg-primary-600'];
	const numberColRecipe: number = product?.recipe?.length > 8 ? 8 : product?.recipe?.length;

	let displayIngredients: boolean = false;
	let displayAllergens: boolean = false;

	$showMenu = true;
	$showReturn = '/produit';
</script>

<PageTransition>
	<div
		class="flex flex-col lg:items-start items-center absolute overflow-y-auto py-4 w-full scroll-container"
		style={'bottom: ' + ($store_footerHeight + 20) + 'px; top: ' + $store_headerHeight + 'px;'}
	>
		<!-- 		<a href="/produit" class="flex flex-row gap-2 items-center text-primary-500 px-4">
			<ArrowLeftIcon />
			<p>Retour aux produits</p>
		</a> -->
		<div
			class="flex lg:flex-row flex-col lg:h-full h-auto items-center justify-start gap-4 p-4 w-full"
		>
			<div
				class="flex lg:flex-row flex-col lg:h-full h-auto justify-center items-center gap-4 w-full"
			>
				<div class="lg:h-full h-auto lg:w-2/5 w-full flex items-center justify-center">
					<img
						alt="Service à la carte"
						src={product.imgUrl}
						decoding="async"
						data-nimg="fill"
						class="w-auto max-h-[80%] rounded-xl hover:border-8 transition-all duration-200 cursor-pointer object-contain border-0 border-primary-900"
					/>
				</div>

				<div class="flex flex-col text-white pt-2 grow gap-4 text-left">
					<!-- <ProductTabs {product} /> -->
					<div class="p-2 flex flex-col gap-2 lg:text-left text-center">
						<h1 class="text-4xl font-title break-words">{product.title}</h1>
						{#if product.description}
							<p>{product.description}</p>
						{/if}
					</div>
					{#if product.recipe}
						<div class="flex flex-col bg-noir-500 p-2 rounded-lg">
							<button
								class="flex flex-row justify-between items-center py-2"
								on:click={() => {
									displayIngredients = !displayIngredients;
								}}
								on:keydown
							>
								<h2 class="text-2xl font-title">Ingrédients</h2>
								{#if displayIngredients}
									<ChevronUpIcon />
								{:else}
									<ChevronDownIcon />
								{/if}
							</button>

							{#if displayIngredients}
								<ItemsList2 items={product.recipe} centered={$store_screenWidth < smallScreen} />
							{/if}
						</div>
					{/if}
					{#if product.allergens}
						<div class="flex flex-col bg-noir-500 p-2 rounded-lg">
							<button
								class="flex flex-row justify-between items-center py-2"
								on:click={() => {
									displayAllergens = !displayAllergens;
								}}
							>
								<h2 class="text-2xl font-title">Allergenes</h2>
								{#if displayAllergens}
									<ChevronUpIcon />
								{:else}
									<ChevronDownIcon />
								{/if}
							</button>
							{#if displayAllergens}
								<ItemsList2 items={product.allergens} centered={$store_screenWidth < smallScreen} />
							{/if}
						</div>
					{/if}
				</div>
			</div>
		</div>
	</div>
</PageTransition>

<style>
	.my-list {
		list-style: none;
		padding: 0;
		margin: 0;
	}

	.my-list li {
		padding: 10px;
		margin-bottom: 10px;
		border: 1px solid #ccc;
		border-radius: 5px;
	}

	.my-list li:hover {
		@apply opacity-80;
	}

	.my-list li::before {
		content: '•';
		margin-right: 10px;
		@apply text-primary-900;
	}
	.scroll-container::-webkit-scrollbar {
		display: none;
	}

	.scroll-container {
		-ms-overflow-style: none; /* IE and Edge */
		scrollbar-width: none; /* Firefox */
	}
</style>
